.video-full-width {
    width: 100%;
    height: auto;
    object-fit: cover;
    display: block;
}

.video-title-box {
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    text-align: center;
    z-index: 10;
    background: rgba(0, 0, 0, 0.6);
    padding: 15px 20px;
    border-radius: 10px;
    display: inline-block;
    max-width: 90%;
}

.video-title {
    color: white;
    font-weight: bold;
    font-size: 40px;
    margin: 0;
}

.video-button {
    margin-top: 15px;
    padding: 15px 30px;
    background: #14b8a6;
    border-radius: 30px;
    color: white;
    border: none;
    font-weight: 500;
    text-decoration: none;
    transition: all 0.3s;
}

.video-button:hover {
    background: #fff;
    color: #000;
    transform: translateY(-2px);
}

/* Tablet (up to 768px) */
@media (max-width: 768px) {
    .video-title {
        font-size: 24px;
    }
    .video-button {
        padding: 12px 25px;
        font-size: 14px;
    }
}

/* Mobile (up to 480px) */
@media (max-width: 480px) {
    .video-title {
        font-size: 16px;
        margin-top:10px;
    }
    .video-button {
        padding: 10px 15px;
        font-size: 10px;
    }

    .video-title-box {
        padding: 5px 10px;
        border-radius: 8px;
    }
}
